package br.uem.din.architectureEvolution.caseStudy;

import br.uem.din.architectureEvolution.representation.Component;
import br.uem.din.architectureEvolution.representation.Concern;
import br.uem.din.architectureEvolution.representation.Element;

public interface MutationCondition {
	Concern getConcern();
	Component getComponent();
	<T extends Element> boolean canMutate(T element);
}
